[Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from sleep

Bug #1283938 reported by Ubuntuser on 2014-02-24
692
This bug affects 140 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

HOW TO REPRODUCE

1. Suspend the device
2. Wake it up

EXPECTED BEHAVIOUR

- The device to resume normally

REAL BEHAVIOUR

- The screen goes blank

RELEVANT DETAILS

- In the "/etc/default/grub" file; changing "quiet splash" option to "nomodeset" allows the wakeup, but the computer gets so slow it is unusable.

WORKAROUND: Install fglrx.

Unverified WORKAROUND: Revert commit 6c7bccea390853bdec5b76fe31fc50f3b36f75d5 as per https://bugzilla.kernel.org/show_bug.cgi?id=76761#c3 .

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xserver-xorg-video-ati 1:7.3.0-1ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-11.31-generic 3.13.3
Uname: Linux 3.13.0-11-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.13.2-0ubuntu5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Mon Feb 24 12:58:07 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus: virtualbox, 4.3.6, 3.13.0-11-generic, x86_64: installed
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7500G] [1002:990a] (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c660]
 Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M] [1002:6841] (rev ff) (prog-if ff)
InstallationDate: Installed on 2014-02-22 (1 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140218)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 535U4C
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-11-generic root=UUID=9f8c7e92-a6ea-41fd-9489-a256c8b9f5d5 ro quiet splash vt.handoff=7
SourcePackage: xserver-xorg-video-ati
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/03/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P06RAF.N93.130403.LEO
dmi.board.asset.tag: No Asset Tag
dmi.board.name: NP535U4X-S01TH
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: SEC_SW_REVISION_1234567890ABCD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP06RAF.N93.130403.LEO:bd04/03/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn535U4C:pvrP06RAF:rvnSAMSUNGELECTRONICSCO.,LTD.:rnNP535U4X-S01TH:rvrSEC_SW_REVISION_1234567890ABCD:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
dmi.product.name: 535U4C
dmi.product.version: P06RAF
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.11+14.04.20140218-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0~rc1-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0~rc1-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Mon Feb 24 12:54:54 2014
xserver.configfile: default
xserver.errors: RADEON(G0): [XvMC] Failed to initialize extension.
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.0-1ubuntu6
xserver.video_driver: radeon

Ubuntuser (ubuntuser1404) wrote :
description: updated
summary: - Ubuntu 14.04 blank screen after sleep resume
+ Ubuntu 14.04 blank screen after wakeup from sleep

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
shookees (shookees) wrote :

Currently, after the lock screen update, when waking up - it freezes on lock screen. I'm also using ati drivers.

Ivan Helguera (gokmar) wrote :

same problem here, with a Series 5 Samsung running AMD A6 - dual graphics radeon. It must be said that the open-source graphics works way better in 14.04 then before.

xop (skhoroshavin) wrote :

I have ASUS K73SV notebook with dual graphics intel/nvidia. I'm using default intel driver, no proprietary drivers installed, and this bug also affects me.

1) Xubuntu installed from fresh daily build wakes up to login screen, after logging in screen turns blank, but hardware is alive - I can Ctrl-Alt-F1 to console and restart lightdm, after which I can login to desktop

2) Ubuntu installed from fresh daily build wakes up to login screen, after logging in all previously opened applications are closed, as if lightdm was restarted silently

In both cases all previously run applications are closed, so suspend is unusable. In case of Ubuntu last information in /var/log/Xorg.0.log.old is:
[ 6508.898] reporting 5 6 14 105
[ 6508.900] (II) intel(0): resizing framebuffer to 2624x900
[ 6508.901] have a master to look out for
[ 6508.901] (II) intel(0): resizing framebuffer to 1024x768
[ 6508.903] need to create shared pixmap 1(EE)
[ 6508.915] (EE) Backtrace:
[ 6508.918] (EE) 0: /usr/bin/X (xorg_backtrace+0x48) [0x7fa053ba9a48]
[ 6508.918] (EE) 1: /usr/bin/X (0x7fa053a01000+0x1ac739) [0x7fa053bad739]
[ 6508.918] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fa052afe000+0x10330) [0x7fa052b0e330]
[ 6508.919] (EE) 3: /usr/bin/X (DamageRegister+0x14) [0x7fa053b32c04]
[ 6508.919] (EE) 4: /usr/bin/X (0x7fa053a01000+0xd53f9) [0x7fa053ad63f9]
[ 6508.919] (EE) 5: /usr/bin/X (BlockHandler+0x77) [0x7fa053a5b267]
[ 6508.919] (EE) 6: /usr/bin/X (WaitForSomething+0x134) [0x7fa053ba6f74]
[ 6508.919] (EE) 7: /usr/bin/X (0x7fa053a01000+0x557f1) [0x7fa053a567f1]
[ 6508.919] (EE) 8: /usr/bin/X (0x7fa053a01000+0x5990a) [0x7fa053a5a90a]
[ 6508.919] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf5) [0x7fa05153dec5]
[ 6508.919] (EE) 10: /usr/bin/X (0x7fa053a01000+0x44e7e) [0x7fa053a45e7e]
[ 6508.919] (EE)
[ 6508.919] (EE) Segmentation fault at address 0x10
[ 6508.919] (EE)
Fatal server error:
[ 6508.919] (EE) Caught signal 11 (Segmentation fault). Server aborting

Native resolution of my screen is 1600x900, so these resize attempts are quite weird.

xop (skhoroshavin) wrote :

Seems like I've just found a workaround for my case. This log entry caught my attention:
[ 6508.900] (II) intel(0): resizing framebuffer to 2624x900

I've checked ubuntu displays settings and found that besides built-in display I have some weird unknown 1024x768 display which is enabled. After disabling it I've sent my notebook to suspend, and after waiting for 2 minutes I was able to successfully wake it up. Hope this helps.

It renders the system temporarily or permanently unusable.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Critical
eric aquaronne (eric-aquaronne) wrote :

same issue on Lenovo X220, returning from suspend (clsing the laptop lid), there is a random screen content but it is impossible to enter the password and to logon, only recovery for me is to reboot th system: not good

eric aquaronne (eric-aquaronne) wrote :

here is the /var/log/Xorg.0.log.old from the above append

Kacper Hęćka (kacperh20) wrote :

ok, so i found this "temporarly fix". When you are using laptop, first lock your screen and then close lid to sleep mode. After you open lid system will work ok, but notifications area will show: "Power Manager not authorized". I'm also have raden card (IBM t43).

martini (mr-owner-gmail) wrote :

The same bug on Samsung with Intel graphic.

Thanx Kacper! It works for me in Xubuntu (with same "Power Manager not authorized").

Piotr Sokół (psokol) wrote :

The same problem here, on Samsung rf511 with Intel chipset.
I my case this is related with unknown display that I found in gnome-control-center. At beginning I turned it off and now I realized this prevents from waking up. It is really annoying, because I can only have one workspace enabled, cannot use dynamic workspaces and my mouse cursor travel behind the screen edge.

martini (mr-owner-gmail) wrote :

In my Xubuntu there are not any unknown displays, and no ATI just intel, but bug is present.

Akshar Patel (akshar-patel-47) wrote :

I'm using xubuntu daily build. I'm using the opensource ATI drivers. I can recreate this bug everytime.

stevepowell99 (steve-promente) wrote :

yes, I have the same problem with intel drivers but only when using gnome-shell, not xubuntu. I have just updated to 14.04 today after using the beta. Kacper's workaround works for me.

Viktor (clicman) wrote :

Same issue with lubuntu laptop on nvidia-173 drivers (C67 chip)

Atul (atulkakrana) wrote :

Same problem with default drivers on Dell Studio with ATI Raedon card.

Atul

Adam (9-ubuntu-8) wrote :

Same issue on an Lenovo ThinkPad T510 (i7 with nvidia NVS 3100M with nvidia 331 drivers) running XFCE (Xubuntu). It seems as if light locker in combination with dbus causes the problem.

Thank you Kacper for the hint. I turned off 'lock on suspend' in the light locker settings. This is not what we want, but an exceptable work around.

I wonder if they actually tested suspend/resume before releasing 14.04 if something like this happens?

Máté Eckl (ecklm) wrote :

Same for me on r Toshiba satellite c855D-l5V with AMD A8-4500M APU. That workaround doesn't work for me.

Stefano Cipriani (cipria91) wrote :

Same here on Acer V5-551 with AMD-4455m and Radeon HD7500G

Marcin (q-marcin) wrote :

Same problem here, Lenovo e520, radeon HD6630M

Mark Bos (bosmark88) wrote :

Same problem here,
Asus K55A ( Intel Core i5 3210 / Intel HD4000 )

Gargoulf (pasquiernoterdaeme) wrote :

Same pb here.
Dell precision M6500. Fresh install of ubuntu 14.04 64bit.

Artyom Nosov (artyom.nosov) wrote :

Same problem,
ASUS N56VZ. xubuntu 14.04 (amd64).

Fabio (mr-fabio90) wrote :

Same Here! (I would say..from time to time)
Samsung 535u3c A03
AMD A4 4355M
RadeonHD 7400G

Please solve this BIG bug..open-source driver runs much better then proprietary one on amd trinity machines.
I should write a guide for optimizing ubunu on trinity apus..cause I'm fighting with those cpus(and gpus) from 12.04 release..
Thank you all!!

Fabio (mr-fabio90) wrote :

I forgot..I'm on Ubuntu 14.04 (full release)

Nikos K (kyriakoy) wrote :

Same problem,
HP Pavillion dv6500 xubuntu 14.04 (amd64).
After suspend, blank screen, after ctrl-alt-del, unable to unlock

Kacper Hęćka (kacperh20) wrote :

[UPDATE] ok so i tested ubuntu and lubuntu (both 14.04 LTS) and the sleeping/resuming works perfectly, but in Xubuntu 14.04 i still have black screen after wake up from sleep mode. Maybe someone can tell where are differences between these three distros? Anyone?

DavidSH (laun0hpad) wrote :

I have the same problem on old Dell 1525 laptop with an update to Ubuntu 14.04 final release from 13.10.

 I seem to have temporarily fixed the problem by doing the following:

Go to Security & Privacy - Un-check the ticked boxes under
Require my password when
'Waking from Suspend'
and
'Returning from Blank Screen'
i.e. no passwords needed after suspend

This seems to be working so far and the machine wakes up okay after I shut the laptop lid and the machine has entered suspend mode. Whether it's a full fix I don't know, but it is working for now.

TEN (launchpad-20-ten) wrote :

According to #5 & 11 this regression also affects Nvidia & Intel, cf. https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/999638 & https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/1283938
Nor is it limited to laptops (with lids): Also affected on HP Compaq dc7800 Convertible Mini Tower with GT520 card.

Anje (c-rosenfield) wrote :

I'm affected. Fresh install of Xubuntu 14.04 64-bit. Toshiba Satellite L755-S5110 (Intel Core i3 2350M, graphics are Intel GMA HD 3000).

Bryce (brce) wrote :

Also affected. Upgraded from Xubuntu 13.10 to 14.04 64-bit. Acer Aspire TimelineX Intel i5-2410M, Intel graphics.

marlio (marliob) wrote :

Same bug in my Sony Vaio, fresh install ubuntu 14.04 64-bit.

Kacper Hęćka (kacperh20) wrote :

Update no2 Funny stuff, I deleted xfce4-power-manager, reboot, and put my laptop in sleep mode. After it wake up, desktop shown up (without entering password) and my mouse cursor disappeard!? Wtf !?

Carl Menke (halfburnttoast) wrote :

This also effects my laptop (xubuntu 14.04 x64)

Toshiba Portege R835-p70.
Intel core i5-2410M
Mobile Intel HM65 Express
Intel HD Graphics 3000

Steps to reproduce:
1. Reboot computer
2. Log in normally
3. Close lid and allow computer to enter sleep
4. Wake computer (login screen appears)
5. Enter password to unlock session

The screen will immediately go blank (both backlight and LCD). Switching to a virtual terminal or SSHing into the box works fine.

Fernando Perez (fdo.perez) wrote :

Confirming this on a desktop machine, Intel(R) Core(TM) i5-2500K with built-in Intel graphics and no additional video card at all.

Suspend/resume was working just fine on 13.10. After upgrade to 14.04 suspend still works, but upon resume the screen is blank. The only way to get it back is to go to a text console and force-kill X so it respawns.

I'm running KDE as my desktop, in case it matters.

Tomo Popovic (tp0x45) wrote :

Confirmed on several PCs:
- System76 Lemur
- Asus X202E
- Dell Optiplex desktop

Just like in post #36 and others. Workaround in #10 is helpful although it does not solve the problem.

Volodymyr (v-makarchuk-v) wrote :

the same bug on ubuntu gnome 14.04, i fix this bug by turning in suspend mode after pressing power button

Volodymyr (v-makarchuk-v) wrote :

to above comment my laptop: hp dv6, cpu:core i5 240m, graphics : ati 6 mobile seria

Gulliver Moy (gully-moy) wrote :

Disabling 'Lock on suspend' from the Light Locker Settings found under 'Personal' in the Settings Manager worked for me as a temporary fix, but obviously the screen is not locked after suspend. Looks like a Light Locker Bug.

Carl Menke (halfburnttoast) wrote :

As an addendum, I've found that, on my laptop (Toshiba Portege R835-p70), this only happens when the lid is shut and the computer goes into sleep mode. Putting the computer into sleep through the power menu or 'pm-suspend' does not cause this issue. It seems to be isolated to the lid.

I do recieve 'not authorized' messages from the power manager when waking occasionally.

I just wanted to confirm that I am getting this problem too running an Asus Apire One D257.

On awake it lets me type in my password but it loads a completely blank screen that doesn't go away, I can however drop into a command line with ctrl alt and f1-f6

Hope this helps!

Another one here, Xubuntu 14.04 fully updated.

Grrr, my slippy fingers...

I would like to note that like @Casey Earnshaw reports I too can drop to the ttys and indeed restarting lightdm - and loosing my graphic session - restores everything back to normal.

My system specs: http://pastebin.com/6K42TJgt

Marcos Sánchez (arkanus) wrote :

I have a samsung series 9 (900X the old model) and also suffer from the issue. The problem is related to the suspend since I can reproduce it by closing the lid or by suspending via the top right menu.

Additionally, the workaround described here of disable the lock on suspend stuff doesn't work for me, neither the one of locking beforeclosing the lid.

Malaise (malaise) wrote :

Also affects Lenovo E530 upgraded from 13.10 to 14.04.
Disabling systemd management of lid does not help.
Workaround is to disable, in the power manager, the handling of lid closing and suspending manually (top right menu).

Mark Lodato (lodatom) wrote :

I had the same problem after upgrading to 14.04 with a GeForce GT 240 and the nvidia-304 drivers.
Workaround: disable light locker.

Alf (alienlifeform-or-alf) wrote :

Same for Acer Aspire 4752G with NVidia 420M + nouveau drivers.

TEN (launchpad-20-ten) wrote :

The hints to disable "light locker" presumably refer to Xfce, i.e. are not workarounds on the default Unity, where the machine crashes on resume in spite of all equivalents turned off in the attached settings (and locking up without even permitting Ctrl-Alt-F1 or -Del).

3 apport crash reports for an HP "dc7800p" (with package nvidia-331) have been submitted within the past 30 minutes, but since no reference is displayed (no "bug filing page" displayed after upload, contrary to https://wiki.ubuntu.com/Apport#What_does_it_look_like_for_users.3F), someone else will have to dig them up wherever they have gone, and attach them to this bug.

TEN (launchpad-20-ten) wrote :

Not sure how to report this as affecting https://bugs.launchpad.net/ubuntu/trusty/+source/linux (as linux-lts-trusty was the only package found but is tracking much less) - please complete/elaborate.

TEN (launchpad-20-ten) wrote :

Other than the shinier graphical boot, no improvement whatsoever from switching back to Nouveau (which does not seem to support HDMI Audio though, i.e. only usable on monitors that still alternatively allow analog sound), on HP dc7800p CMT with GT520:

The apport reporter just appears repeatedly afterwards (still not popping up the browser or indicating where the collected crash data has been stored).

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-trusty (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Confirmed
Ivan Voras (ivoras) wrote :

Same here. Disabling light locker returns me to a working desktop but the mouse cursor is invisible. Starting a WINE app brings the cursor back. So... two bugs actually: #1: returning from suspend turns off the screen AFTER the username & password is verified, and #2: if light locker is disabled, the mouse cursor disappears on returning from suspend.

rmcd (rmcd1024) wrote :

Same problem (blank screen after returning from suspend) with a fresh install of xubuntu 14.04 x64 on a Lenovo R61, Intel Mobile GM965/GL960 Integrated Graphics Controller.

Nathan Moos (nathan-moos) wrote :

I installed the 3.14.1-trusty kernel from the Ubuntu Mainline Kernels repository, and that seems to have fixed it for me. I have an Intel Mobile 965GM and Core 2 Duo processor. When using the 3.13 kernel that ships by default, adding "nomodeset" to my GRUB configuration was the only way to fix the suspend/resume issue.

rmcd (rmcd1024) wrote :

This is also a problem with a Lenovo ThinkCentre M92P with Radeon HD 7350/8350. Using Catalyst Control Center 2:13.350-1-0ubuntu2. I can only recover by rebooting; restarting lightdm (via ssh) does not work.

Peter Holzkorn (p-holzkorn) wrote :

Same here. Lenovo ThinkPad x230 with Intel HD 4000. I can enter runlevel 1 and restart lightdm to recover, though. Also, LightLocker and Power Manager settings do not seem to work properly anymore (it locks after the same amoutn of time regardless of the settings).

Full name (4-launchpad-com) wrote :

Same problem on a Lenovo Thinkpad T420s with an install of 64bit Xubuntu 14.04. After suspending and unsuspending, I get a password prompt. After successfully authenticating, the screen goes black.

$ lshw
...
        *-display
             description: VGA compatible controller
             product: 2nd Generation Core Processor Family Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 09
             width: 64 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:49 memory:f0000000-f03fffff memory:e0000000-efffffff ioport:4000(size=64)
...

Yasser López (biolyasser) wrote :

I'm using Ubuntu 14.04 64-bit (out of the box, updated) and I'm having the same issue. My hardware is a laptop Asus with AMD A8-4500M Trinity APU (Radeon HD 7640G) and updated BIOS. To make some Fn keys work I had to add "acpi_osi='!Windows 2012' to my grub command line, I'm dual booting Windows 7.

I have been making some research and, as of now, I can confirm this problem wasn't present in ubnutu 12.04 with original HWE stack. For this APUs, 14.04 is a major step forward in terms of power management and 3D acceleration, so I can't go back to 12.04, because sometimes I really have to push my hardware to its limits (working with GIS software) and 12.04 fan speed is always high and noisy. I can confirm the same behavior is present in Manjaro Linux Xfce with kernels 3.12 to 3.14. In Ubuntu, changing HWE stack to previous releases the problem is present too (from quantal to my knowledge). So, I'm not keeping my fingers crossed with this bug.

I have tried a lot of workarounds: disabling lightlocker, unpicking options in lightlocker settings, uninstalling pm-utils, forcing nomodeset, scripting power management brightness... but nothing seems to work. We need heavy help!

same here my unity distorcion

00:00.0 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: NVIDIA Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB controller: NVIDIA Corporation MCP61 USB 1.1 Controller (rev a3)
00:02.1 USB controller: NVIDIA Corporation MCP61 USB 2.0 Controller (rev a3)
00:04.0 PCI bridge: NVIDIA Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: NVIDIA Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: NVIDIA Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: NVIDIA Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)
00:08.1 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0d.0 VGA compatible controller: NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:09.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev 80)

please can i help ?

I am also facing same problem(xubuntu). Lenovo T420 laptop. For time being i am disabling 'lock on suspend'. Need to see if problem is still there.

John Relph (relph) wrote :

I really enjoy this bug because it means that if I boot my system and don't immediately log in after boot, the system will go to sleep and then I have to poke it in the eye forcibly and reboot.

[ 0.000000] DMI: Dell Inc Dimension E521/0UW457, BIOS 1.1.11 08/02/2007
          product: AMD Athlon(tm) 64 X2 Dual Core Processor 4000+
             product: G72 [GeForce 7300 GS]
             vendor: NVIDIA Corporation

Patrick C (patrickc9) wrote :

Confirming same problem ("desktop" machine, Asus MB minimal system, nvidia card). Resume from suspend powers up (fans, disk, backlight) but just get black screen, kernel appears wedged, hard reset required. This is 14.04, both new install and upgrade from 13.04 same problem. Nvidia proprietary driver or nouveau makes no difference.

I've tested this with different distros (all on the same machine), result:
Ubuntu 13.04: resume works
Ubuntu14.04: resume broken
Debian wheezy: resume works
Debian jessie/testing: resume broken
Mint (recent): resume broken

In /var/log/pm-suspend.log, there's nothing after "performing suspend".

Testing "echo mem > /sys/power/state" to do the suspend:
13.04: resume works
14.04/jessie: resume broken

Christoph Haas (chaas) wrote :

@Patrick C
You say that with a recent Linux Mint you also see the problem.
I'd like to note that I have switched from Xubuntu to Linux Mint XFCE recently and have *NOT* had a single standby/resume problem since. (This bug is so serious that Xubuntu 14.04 was no longer an option for serious work on my work laptop.)

Patrick C (patrickc9) wrote :

@chaas
Re Mint, that might make sense - I was running Mint Debian w/ MATE, which is based on Debian testing, which I found also has the problem. Are you running Mint 16? I don't know it lineage (I don't know much about Mint), but assume it's not based on Debian testing.

Christoph Haas (chaas) wrote :

@Patrick C
Right, I'm using Mint 16 XFCE which is based on Ubuntu 13.10 AFAIK.
(I don't have much experience with Mint either. I just needed a usable distribution on my laptop quickly and didn't have time to try much.)

Hello again

I did a dist-upgrade last night and it seems to have fixed the issue, although I've only had time to check it twice today before I had to rush off to work!

Thank you very much!

Volodymyr (v-makarchuk-v) wrote :

The bug is not fixed, opening the lid after suspend mod, i see blank screen of my monitor (graphics: amd 5650 mobile series , processor: core i5 240m)

Yes, that's true, sorry false alarm from me, but it really truly did work this morning, but as soon as I got home same issue, I wish I knew what I did right. I'm afraid I'm still very much a novice when it comes to Linux, only did the switch a few months ago I don't know how to do an information copy paste like others in this, but if I can get it to work and it will help then I am more than happy to do so if it helps, I'll need to know the commands though.

Thanks guys, and very best of luck with the fix! x

Yasser López (biolyasser) wrote :

@Casey Maybe you can dive into your /var/log directory. If you are that novice you can make use of a graphical log viewer that you can install from the ubuntu software centre. One or two logs where you can start is /var/log/messages or /var/log/Xorg.xxx or even /var/log/boot to see if there was something different since you booted ubuntu.

Yasser López (biolyasser) wrote :

@Casey Sorry for double posting but I forgot one important log and can't find an "edit" button or option. Chechk your /var/log/pm-suspend.log too

Neill Currie (neillcurrie) wrote :

Problem solved for me:
Lenovo Ideapad s10-3 with fresh install of Lubuntu 14.04.
Wouldn't suspend from the shutdown menu, nor would it standby/suspend when the lid was closed.
I installed xscreensaver, made sure it was set to activate after 0 mins, inserted an entry for xscreensaver under menu>preferences>default applications for lxsession>core applications, and hit "reload". Rebooted to make sure, but it now suspends from menu, and when the lid is closed.
Under /etc/default/grub I took out a "nomodeset" start code, but that probably hasn't had anything to do with this as the symptoms are replicable either way, and also fixable either way.

rmcd (rmcd1024) wrote :

I'll second @neilcurrie. I installed xscreensaver a week ago and things have been fine. I continue to get frequent apport crash reports for xorg, but I haven't had any blackscreen lockups since disabling lightlocker and switching to xscreensave.

Yasser López (biolyasser) wrote :

I just found a working solution for Xubuntu 14.04 updated, uninstalled Gnumeric and Abiword and installed Libreoffice and htop (but I don't think this matters, just want to be clear it is not a completely fresh install). My laptop is an ASUS K55N with AMD A8-4500M Trinity APU and integrated Radeon HD 7640G. Yesterday I tried at least 8 live sessions from different distros (slackware based, gentoo based, arch based, debian based, ubuntu based) with the same results (you can reproduce the bug inside live session).

What I've done so far that works better is to modify /etc/default/grub to:

GRUB_CMD_LINE_DEFAULT="nomodeset acpi_osi="

Then "sudo update-grub"

You'll get a verbose boot because of the nomodeset parameter and, I don't know why or if it is related at all, some degrees hotter laptop (2 C for me). Some Fn keys that I don't use a lot won't work but the ones I use more work great (Vol+/-, Screen off, Screen brightness +/- and Suspend).

This is acceptable for me and I hope this works for someone else.

Yasser López (biolyasser) wrote :

Here again.

My workaround works but only because Xfce does not rely on 3D acceleration. If you try to change to a compositor that relies on OpenGL you'll get into trouble. Thats why my CPU temperature got higher. So, if you want to use a pretty and modern desktop like KDE, GNOME, Cinnamon, Unity or Pantheon you are going to need 3D acceleration hence you can't use nomodeset hence you can't Suspend.

On the other hand, what I know about nomodeset is it should not kill 3D hardware acceleration after X kicks in. Why X driver is relying on software instead of hardware with nomodeset kernel parameter?

I'll go to a forum...

Full name (h-launchpad-net) wrote :

Same problem on a Lenovo X60 laptop.

Patrick C (patrickc9) wrote :

@biolyasser: I tried installing a fresh copy of Mint/xfce on a spare partition, on my machine it has the same resume problem as every other recent distro version I've tried. The only working versions for me are not recent: Ubuntu 13.04, 13.10 and Debian wheezy.

One interesting thing that may or may not be related: doing "cat /sys/power/state" gives the following:
"standby mem disk" on older versions where suspend/resume works
"freeze standby mem disk" on versions where suspend/resume is broken

Marianne Spiller (spillerm) wrote :

Same problem on Lenovo E130 after upgrading from (working!) 13.10.

TEN (launchpad-20-ten) wrote :

How can this be reported as affecting https://bugs.launchpad.net/ubuntu/trusty/+source/linux so it may finally be assigned and fixed at long last?!

Ian Nicholson (imnichol) wrote :

TEN, the link in comment #83 isn't a bug. Did you mistype it?

Hugo Rossi (hugorossi) wrote :

Same problem on a 2005 Acer Aspire 1363. Please fix; I'll revert to 13.10 until this is resolved.

TEN (launchpad-20-ten) wrote :

imnichol, it's the "linux in Ubuntu Trusty" (kernel) package against which this isn't filed yet (as Launchpad does not seem to offer any straightforward way), but should be (and fixed again) under it since it's been a regression against previous ones as well.

Yasser López (biolyasser) wrote :

nomodeset as a kernel parameter fix the problem. But, if you use nomodeset then you'll get software 3D acceleration in a clean installation (it seems radeon driver breaks suspend). If you install fglrx (binary blob) then you MUST use nomodeset to disable radeon (open source) driver to load. Then, you'll get hardware 3D acceleration via binary blob.

Patrick C (patrickc9) wrote :

nomodeset does not fix the problem.

Yasser López (biolyasser) wrote :

@Patrick So, if you boot with nomodeset kernel parameter you can't wake from suspend? I tried yesterday Sabayon Linux 14.05. They use the binary blob as default when possible, if they can't use binary blob they fallback to X.org radeon driver. The same behavior should be for nouveau and binary nVIDIA blob, but I don't know if nVIDIA is still suppporting your video card on Linux. I think nomodeset+binary AMD blob will fix the problem for most of AMD users. It's just a workaround of course and only an option if you don't mind using proprietary software.

On the other hand, you may try the VESA driver just to see if suspend works and spot the problem. As the guy who reported this bug I'm convinced we due the problem to some X.org driver(s). Are you still with Mint Xfce 13? If so, try booting Sabayon Linux 14.05 on a live session and... well, good luck.

Patrick C (patrickc9) wrote :

@biolyasser: I installed Sabayon 14.04 "minimal" version, restore still did not work. It was running just fluxbox. I had to use "echo mem > /sys/power/state" since other ways to suspend (like pm-suspend) were not there. It did suspend but resumed to black screen as usual, except this time it had an underscore char showing in the upper left. It was a 3.14 kernel.

I am using nvidia, and have found no difference between nouveau and nvidia drivers as far as the bug goes.

This problem could be kernel related. For example, on debian wheezy (3.2 kernel) which doesn't have the bug, if I install the backported 3.13 kernel, it will now have the bug. Most of the "action" about suspend/restore bug(s) is on the kernel.org bug site.

Have the same black screen problem on Dell E6520 with nvidia driver (both drivers 304 and 331), Kubuntu 14.04.
If I suspend from a KDE session the screen is black after resume. If I suspend from the login screen the resume works.

TEN (launchpad-20-ten) wrote :

Xubnu, bug 1303736 refers specifically to Xubuntu & light-locker; this one also has default Unity etc. affected.

Still I think it should be filed against the kernel (and probably pm-utils) too as per #31, 51 & 83.

Atul (atulkakrana) wrote :

Same problem with my Dell Studio 1435 having ATI Radeon HD 4000 series graphics card. Need immediate fix.

AK

I found out, that in my case its a problem with suspend-hybrid mode. I had a configuration that used kernel suspend-hybrid, if the suspend button was pressed. Suspend to RAM and Suspend to Disk seem to work, only suspend-hybrid leads to a blank screen after resume.

For those who have only problems with suspend-hybrid. There is another bug report that is more related to this specific problem: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1318249

Changed in xserver-xorg-video-nouveau (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → Critical
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → High
importance: High → Critical

I am running Xubuntu 14.04 (upgraded from 13.10) and I just experienced the blank screen after I resumed from a suspend. I wasn't having problems with resuming from suspend until today. I put my desktop into suspend by using the logout button in the upper right corner and choosing the suspend option this morning.

When i came home from work I hit my power button (it was flashing like it always does when in suspend mode) and both my monitors acted like they were receiving a signal (power buttons remained lite) but I couldn't do anything. Just a blank black screen. I couldn't go to tty1 or anything.

I had to hard reboot my machine using the case reset switch. I am not sure what files to post here as far as logs. I am using the Nvidia binary driver 337.19 from their website with a GTX 760. I have an i5-4670k OC'd to 4Ghz with 8GB of DDRIII G-Skill Sniper 2133Mhz RAM

Jason Underwood (1jkinoshita) wrote :

Same problem with Xubuntu 14.04 32bit on a Lenovo Thinkpad r500. I can`t put the laptop to sleep using the function + sleep key. After closing the lid and opening, the computer goes to a login screen, then goes blank. I`m new to linux, so am having trouble following some of the suggestions.

Jason Underwood (1jkinoshita) wrote :

I got my function + sleep key working through All settings > Powermanager > `When sleep button is pressed` options.

still get a login then blank screen after closing then reopening the lid, though.

I'm using an HP Pavillion i386 with Intel chip set and have the same problem after upgrading to 14.04 from 12.04. My only work around is to use "sudo pm-suspend" every time I close the lid - then the system will come back with having to reboot it. Otherwise I have a block screen with only the cursor showing - I don't know if the system would drop into terminal mode with Alt+ctl+F1 or not. I could test it if it would expedite the fix for this bug. Thanks,

John Relph (relph) wrote :

Could someone please fix this bug?

What this bug means is that any time my system reboots I must immediately log in, otherwise the system goes to sleep. And then I can't wake it up except to reboot. So if the power goes out, my machine is rendered useless, because it reboots when the power comes back on then immediately goes to sleep. Since I expect my system to be up all the time, this is a major problem.

In addition, this is a desktop machine, not a laptop. I do NOT want the machine to hibernate AT ALL when it is waiting for login. I DO want the display to sleep, but the machine must stay up and running. How do I configure that?

This is seriously messed up.

Chris Moss (moschris-gmail) wrote :

same problem with Dell Studio 1735 with Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 03). I presumed it was a by-product of trying to upgrade but have now reinstalled from scratch and the problem is still there.

A serious problem.

ender (ender46) wrote :

Dell's Inspiron 1525 with a fresh 14.04 install is also affected. Shame cause 12.04 had no problems in this regard.

Jeff Wayne (jeffwayne) wrote :

Experienced this problem on a Lenovo Y530 and an Acer Aspire 8943G-9319 after upgrade to 14.04. I am using XFCE flavor of Xubuntu on both. To resolve this problem I disabled Light Locker on both and let XFCE lockscreen take care of the screen locking tasks.

No more black screen after opening lid and logging in.

Martin Lund (lund-martin-q) wrote :

Had the same problem on my Lenovo 3000 N200 laptop and tried many of the different suggestions given here. What turned out to solve my problem was to select a proprietary driver for my graphics card. No more black screens.

Özgür BASKIN (ozgur-baskin) wrote :

Experienced this problem on Toshiba U400. Linuxmint 17 with Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
John Relph (relph) wrote :
Ken Nakasya (nakasya911) wrote :

Mac Book Pro 17(6,1) with a fresh 14.04 install is also affected. 12.04 and 13.04 had no problems.

summary: - Ubuntu 14.04 blank screen after wakeup from sleep
+ [Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from
+ sleep
no longer affects: xserver-xorg-video-nouveau (Ubuntu)
no longer affects: xserver-xorg-video-intel (Ubuntu)
no longer affects: nvidia-graphics-drivers-331 (Ubuntu)
no longer affects: xserver-xorg-video-ati (Ubuntu)

Ubuntuser, could you please test the latest upstream kernel available (the one all the way at the top, and not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.15-rc8

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Ken Nakasya / Özgür BASKIN / Martin Lund / Jeff Wayne / ender / Chris Moss / John Relph / sheepscrossing / Jason Underwood / UbuntuAddicted / Martin Stockhammer / Atul / and anyone else who isn't the original reporter Ubuntuser, the scope of this report wouldn't cover you, your problem, or your hardware. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

affects: linux-lts-trusty (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Critical → Low
status: Confirmed → Incomplete
description: updated
tags: added: needs-upstream-testing regression-potential
Patrick C (patrickc9) wrote :

@penalvch -
I tried the latest 3.15 kernel you suggested, and it appears to have fixed the problem. Tested on a mint/xfce distro that had the bug with its release 3.14 kernel, Have not retried 14.04 yet or debian/jessie, I suspect those will work also.

Patrick C (patrickc9) wrote :

To correct my previous post, I tested the fixed kernel on debian/jessie/xfce (and kde), not mint/xfce. This is a desktop not a laptop.

Yasser López (biolyasser) wrote :

I still have this bug in my AMD A8 Trinity APU laptop with linux-3.15.0-031500rc8-generic x86_64 and updated system. Still, Catalyst driver is working fine in 3.13 linux kernel. I'm up to try a solution to use free drivers, but, as I use this machine for production I'll go back to Catalyst, since suspension is just vital for me.

Patrick C / Yasser López, so your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Patrick C (patrickc9) wrote :

@penalvch:
Tried using "ubuntu-bug linux", it would not give me any way to enter an info about the bug, just showed a window with system details and a Send button - is that a bug with bug-reporting?

Found that under ubuntu 14.04, the 3.15 mainline kernel does not completely wakeup correctly, though almost - the keyboard and mouse don't work. This may simply be due to a mismatch between the 3.15 kernel I was trying and the rest of the installed release.

The mainline kernel does fix the wakeup problem in debian/jessie, at least on my hardware.

piyush (piyush-kgupta07) wrote :

how can i fix this bug???
everyone here is posting the problems beings faced....none with the solution !!!
what should i do ???

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

piyush, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ken Nakasya (nakasya911) wrote :

I've tested Ubuntu14.04LTS with v3.15-utopic/linux-kernel-3.15.0-031500-generic_3.15.0-031500.201406081435_amd64.
But, situation does not change anything.
I resume the laptop from sleep, screen shows login screen(very very slow) or sometime black screen freeze.
Even I 'm able to login, then, Ubuntu will always freeze.

MacBookPro17inch (6,1)
8GRAM
SSD-400G(Intel) with ahci
Nouveau display driver

Ken Nakasya, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Bernhard (baumber) wrote :

I have the same problem on 12.04 64bit after installing the trusty Xstack with

apt-get install -V libglapi-mesa-lts-trusty libgl1-mesa-glx-lts-trusty xserver-xorg-lts-trusty xserver-xorg-input-all-lts-trusty xserver-xorg-video-all-lts-trusty libgl1-mesa-dri-lts-trusty x11-xserver-utils-lts-trusty libglapi-mesa-lts-trusty:i386 libgl1-mesa-dri-lts-trusty:i386 libgl1-mesa-glx-lts-trusty:i386 libgles2-mesa-lts-trusty libglapi-mesa-lts-trusty mesa-vdpau-drivers-lts-trusty

kernel 3.13.0-30-generic #54~precise2, nvidia-331-updates 331.38-0ubuntu0.0.1
Xorg message after black screen: (after wake up from hibernate)

(EE) NVIDIA(GPU-0): WAIT: (E, 0, 0x857d)

It seems to be a combination of kernel, Xorg-server, X-components, which triggers this bug, because without the trusty Xstack there was no black screen issue with this kernel version.

Bernhard, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Bernhard (baumber) wrote :

Further tests of versions of kernels 3.11 and 3.13, and Xstacks saucy and trusty on 12.04 showed only black screens.
=> Now saucy too !!

But I've found a workaround for my config/setup
(12.04 with kernel and Xstack from trusty with nvidia driver, lightdm with kde, and only hibernate used);

Boot your system to lightdm, then login to your Desktop Environment , let it finish ...
After that logout back to lightdm screen and login again !
=> Now try to hibernate, after the resume there is no black screen anymore and you can unlock the screen and use your desktop!!

My résumé after testing is that maybe there is a race condition in the services/daemons (acpid, dbus, lightdm) or different bugs are playing together (Kernel, X, drivers, daemons).
That's why I've downgraded lightdm's version in 12.04, but without success, only the workaround, described above, helps for me.

Please help to solve this nasty bug, because it is now in 12.04 too !

Maybe lightdm changes? Or system components like dbus?
=> Browsing the lightdm versions in 12.04

lightdm (1.2.3-0ubuntu2.4) precise-proposed; urgency=low

  [ Robert Ancell ]
  * debian/patches/06_config_directory.patch:
    - Backport conf.d configuration support (LP: #1190425)

  [ Alberto Milone ]
  * debian/patches/07_add_display-stopped-script.patch:
    - Backport support for the display-stopped-script entry
      in the configuration file (LP: #1259237)
 -- Alberto Milone <email address hidden> Wed, 18 Dec 2013 14:31:49 +0100

lightdm (1.2.3-0ubuntu2.3) precise; urgency=low

  * debian/guest-account: disable screen locking in a more reliable way.
    Rather than trying to write a key for another user, while setting up the
    guest user account, just set up an autostart desktop that will set it
    during the login (lp: #951000)
 -- Sebastien Bacher <email address hidden> Mon, 08 Jul 2013 13:47:53 +0200

Thanks, Bernhard

Atul (atulkakrana) wrote :

This bug is real Ubuntu killer, still the status says incomplete. So, we are nowhere close to fixing it. Let me know what additional information is require and I will post here. If that doesn't works, I am willing to ship my laptop too :)

This bug renders Ubuntu unusable for me as I cannot turn my laptop off 10 times a day.

AK

I found a quick way to regain the desktop after the hibernation freeze that results in a black screen with mouse pointer only showing. ALT+CTL+F1(mouse pointer disappears, no terminal signon visible). ALT+CTL+F7 and the desktop reappears, of course any active applications are terminated so browser, etc, should be closed prior to closing the laptop lid. Hope that helps some.

JT Graham (djspokk) wrote :

Same problem here but I'm on Linux Lite on a Dell Inspiron Mini 10.

I found an easy temporary fix. If you go to the power manager settings and change all the "When closed lid" settings to "Lock Screen" instead of hibernate it keeeps the screen from screwing up

JT Graham, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu (not Mint) by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Atul (atulkakrana) wrote :

Hi,

Filed a new bug as mentioned in comment 110. Here is the link for reference -https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1332764

Though mine is a production machine. Still, I gonna install mainstream kernel and get back with report.

Atul

Atul (atulkakrana) wrote :

Hi,

I was testing the mainstream kernel and got an error regarding 'bcmwl' package.

Atul

Atul (atulkakrana) wrote :

Hi,

FYI Wifi down after conflict while testing mainstream kernel. Re-installing 'bcmwl' package didn't fixed the wifi problem. Seems like problems are only increasing.

Atul

Atul (atulkakrana) wrote :

Hi,

I tested the upstream kernel-3.16rc2 and bug still exists.

Atul

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.16rc2
removed: amd64 apport-bug compiz-0.9 needs-upstream-testing regression-potential trusty ubuntu
tags: removed: kernel-bug-exists-upstream-3.16rc2
tags: added: kernel-bug-exists-upstream-3.16rc2
Atul (atulkakrana) on 2014-06-23
tags: added: amd64 apport-bug compiz-0.9 regression-potential trusty ubuntu
ruediger (ruediger05) wrote :

For me, coming back from standby, I see a black screen with backlight on, but cannot do anything. Shutting down the system using the power button works however from this state (interestingly, xubuntu screen with waiting animation comes up).

"sudo pm-suspend" works fine, though.

Xubuntu 14.04, i386 kernel, Pentium M ULV 733, Intel i855 graphics, 2GB RAM (Fujitsu Siemens Lifebook P7010)

ruediger (ruediger05) wrote :

Created https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1333123 as requested at other occastions in this thread.

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.16rc2
Atul (atulkakrana) wrote :

Hi Chris,

Again you have added the tag for upstream-testing. I feel so bad because I tested two of the latest upstream kernel, posted here that doesn't fixes the problem. What hurts most is the reverting to generic kernel I broke my system and has to re-install Ubuntu 14.04 on my production machine. And now I see that you have this tag again. I am feeling furious now.....

Atul

Atul, I think you may have missed this bit above asking you to open a new bug report:

Ken Nakasya / Özgür BASKIN / Martin Lund / Jeff Wayne / ender / Chris Moss / John Relph / sheepscrossing / Jason Underwood / UbuntuAddicted / Martin Stockhammer / Atul / and anyone else who isn't the original reporter Ubuntuser

    the scope of this report wouldn't cover you, your problem, or your hardware. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:

    ubuntu-bug linux

HI,
my setup:
- Lenovo T530 with NVIDIA Corporation GF108M [NVS 5400M] (rev a1)
- Ubuntu 14.04 with mainline kernel 3.14.9
- NVIDIA driver nvidia-331-updates:

My computer hanged during hibernate resume just after reading the image from the disk.
I found working solution by reading non-editable file: /usr/lib/pm-utils/defaults
This worked for me (so now hibernation works again):

1.) echo "HIBERNATE_RESUME_POST_VIDEO=\"no\"" | sudo tee /etc/pm/config.d/hibernate
2.) Just to be sure (probably unnecessary):
sudo update-initramfs -u
sudo reboot

3.) Test
sudo pm-hibernate

4.) Alternative test:
# press ctrl+alt+1 (go to virtual terminal)
sudo pm-hibernate

PS: (to my previous comment)

My grub params in /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="noquiet nosplash acpi_osi=Linux acpi_backlight=vendor acpi_sleep=s4_nohwsig loop.max_part=63 loop.max_loop=64"
GRUB_CMDLINE_LINUX=""

pabouk (pabouk) wrote :

@Rostislav: This bug is very different. It is about suspend (not hibernation) and a black screen after resume. Except the black screen the system is fully functional after resume.

Probably you could open a new bug report for the problem you described.

Rostislav Stříbrný, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Bernhard (baumber) wrote :

@Rostislav Stříbrný (rstribrn)

Thank you!
Adding HIBERNATE_RESUME_POST_VIDEO="no" to /etc/pm/config.d/hibernate solved for me the problem too.
(Hibernate with 12.04 and NVIDIA driver nvidia-331-updates, kernel 3.13.x)

Best regards, Bernhard

N0M4D (edu2004eu) wrote :

Same on Xubuntu 14.04 with a 3.13 kernel. For what it's worth, restarting the lightdm service seems to fix the issue, but this is a rather time-consuming workaround. In addition #30 fixed my issue too, but not desirable.

dan the person (dantheperson) wrote :

Same here Ubuntu 14.04. Acer Aspire One 722 with AMD C-60 APU.

screen does not come back after sleep. Backlight comes on but blank screen. Alt+f1 to console works. From there restart lightdm and all is good. PITFA to have to restart after every sleep. Kinda defeats the point of 'sleep' when you loose all your work.

Using fglrx driver.

dan the person (dantheperson) wrote :

Atul,

You should test on a test machine. Promoting changes to production without testing first... you have only yourself to blame there.

Bernhard / N0M4D / dan the person, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

dan the person (dantheperson) wrote :

Updating my graphics driver from catalyst 14.4 (14.10) to 14.6 beta (14.20) fixed the resume from sleep issue.

Version numbers are a bit confusing, the ATI branded version number on the download is 14.6, but the driver itself once installed reports itself as 14.20

Atul (atulkakrana) wrote :

Dan the person,

Unfortunately I have two machines: Laptop and Desktop - Both are production machines. On laptop I have dual boot with win 7 and Ubuntu 14.04, there is no partition left to use for testing. As far as desktop is concerned, I never shut down it down or suspend. So, no point testing on it.

We all are smart people here Dan.

Atul

same here, asus n56VJ, ubuntu 14.04 64bit and NVIDIA proprietary drivers

mak ersky (makersky) wrote :

same here, samsung nf310, mint 17 64bit xcfe, black screen which can be recovered only with ctr-alt-backspace/del

michal povazan / mak ersky, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Same here.
Samsung N230 netbook, Intel ATOM; XUbuntu 14.04 LTS

Closing the lid, waiting for suspension. Once the lid is open the computer wakes up but the screen in blank. Restarting lightdm is possible although not feasible since you'd loose all the work that you did not save (thus making suspension useless).

As stated in #43, #100 and #134 manually starting pm-suspend works.

The problem was not there with 13.10 release

TEN (launchpad-20-ten) wrote :

Chris Bainbridge at #137
> anyone else who isn't the original reporter Ubuntuser
> the scope of this report wouldn't cover you, your problem, or your hardware [...] please file a new report

Done as requested into https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1341270 but then what is supposed to become the overarching bug they all link back to?

Now that everyone has been filing their own bug(s - often for years I'm afraid to say), there surely must be some strategy how to go about resolving each of the bundle?

no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Low
Displacer (disinbox) wrote :

Also a problem for Hewlett-Packard HP ProBook 455 G1/194E with AMD A4-4300M and Radeon HD 7420G using mesa x11 drivers.

Strongly disagree with Low importance. Importance is critical since it forces user to reboot system if there is no network terminal with ssh available.

Displacer, thank you for your comment. Unfortunately, this bug report is not scoped to you or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Displacer (disinbox) wrote :

Christopher, done: #1350910

Pat Heslop-Harrison (phh4) wrote :

Same problem with i7 - intel 4770 processor desktop (internal 4770 graphics only but using 3 screens connected) with Ubuntu 14.04 - after 1hr inactivity, computer is set to suspend. On starting up again by pressing a key or moving mouse, the poewr button comes on constantly (rather than flashing), the keyboard caplock/numlock keys work etc., the monitors wake up but display nothing.

Pat Heslop-Harrison, thank you for your comment. Unfortunately, this bug report is not scoped to you, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Gordon Dracup (gordon-dracup) wrote :

The solution in message #6 of the thread below solved this issue for me.

http://ubuntuforums.org/showthread.php?t=1978290

Steven Harms (sharms) on 2014-09-21
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-bug-exists-upstream-3.17.0-031700rc6-generic
tags: removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Ubuntuser (ubuntuser1404) wrote :

Dear Christopher,

I've tested the last kernel available upstream (3.17 rc6) as described in your request.
The bug is still present.

Best regards.

description: updated

It affects a non-essential hardware component (removable network card, camera, web-cam, music player, sound card, power management feature, printer...).

summary: - [Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from
- sleep
+ Integrated Radeon graphic processor resumes into a black screen if
+ dynamic power management is enabled
description: updated
summary: - Integrated Radeon graphic processor resumes into a black screen if
+ Integrated Radeon graphics processor resumes into a black screen if
dynamic power management is enabled
Changed in linux (Ubuntu):
importance: Low → Medium
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Triaged

There is still quite a bit of information missing for this to be marked Triaged (suspend debug, regression bisect if applicable, etc.).

Ubuntuser, did this problem not occur for you personally in a release prior to Trusty?

tags: added: kernel-bug-exists-upstream-3.17-rc6
removed: kernel-bug-exists-upstream-3.17.0-031700rc6-generic
Changed in linux (Ubuntu):
status: Triaged → Incomplete
summary: - Integrated Radeon graphics processor resumes into a black screen if
- dynamic power management is enabled
+ [Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from
+ sleep
Ubuntuser (ubuntuser1404) wrote :

On the previous 12.04 (tested for a short time), the problem was not happening. The point is that with the release 12.04, there was a serious over heating problem with the open drivers.

With the property AMD drivers (better if version > 14.6, previous drivers gave problem to the brightness regulation) the problem is not present. But the official AMD driver has a really bad performances.

With the open driver the battery has a duration of 3:50 h. With the property driver 1:20 h.
I also tried the last 14.10 beta version, the problem is not solved.

Can you please explain how to apply this fix: https://bugzilla.kernel.org/show_bug.cgi?id=76761#c3

Thank you again for your time.

Ubuntuser (ubuntuser1404) wrote :

I tried a live from Kubuntu 14.04.1, the bug still present.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Ubuntuuser, could you please test the upstream patches following https://wiki.ubuntu.com/Kernel/KernelBisection#Testing_a_newly_released_patch_from_upstream , and advise if the issue is reproducible?

tags: added: regression-release
removed: regression-potential
tags: added: utopic
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Ubuntuser (ubuntuser1404) wrote :

Sorry, I am using a production machine that i need to work.

Looking at the bug heat, i think that a lot of other users can reproduce the bug.
Have a good work.

Bernhard (baumber) wrote :

Update to the black-screen-issue after hibernate for the nvidia-driver;

Since kernel update 3.13.0-37.64 I can use MSI-interrupts with the nvidia module again and the black-screen-issue after hibernate is gone.

Please try this kernel or test kernel parameter nomsi !

Berhard, thank you for your comment. Unfortunately, this bug report is not scoped to you, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Fabio (mr-fabio90) wrote :

Any news about this F....ING bug? Is there a way to fix the suspend/resume problem using open drivers? Thank you all!

Samsung 535u3c AMD A4 4355M

Fabio, so your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Ubuntuser (ubuntuser1404) wrote :

Can somebody affected from the bug, please try to apply this patch to the kernel: https://bugzilla.kernel.org/attachment.cgi?id=137741 ?

(https://bugzilla.kernel.org/show_bug.cgi?id=76761#c3).

This is a driver problem and should be treated from a kernel specialist...Is there any Ubuntu Community developer or Canonical tech available? This bug is affecting more than 100 people subscribed from 7 - 8 months.

Thanks.

Ubuntuser, bug heat, and how many people mark themselves affected is irrelevant, as the same symptom can manifest itself via different root causes, and hardware. Anyone who thinks they may have the same problem would need to file a new report, or risk waiting for a fix to a problem that wasn't theirs to begin with.

If you want your problem addressed, you already have been advised on what needs to happen next. Having a production laptop means if you are that worried, backing up your data, which you should be doing anyways, and testing the patch.

Ubuntuser (ubuntuser1404) wrote :

I installed git, tomorrow i will try the patch, i just think that maybe there are more expert people into the group looking for this bug solved.

Thanks

Ubuntuser (ubuntuser1404) wrote :

What's wrong?

me@Linux-Notebook:~$ git config --global user.email "<email address hidden>" && git config --global user.name "Your Name" && cd $HOME && git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git && patch ~/linux/drivers/acpi/video.c ~/Desktop/testfix.patch && cd linux && git add . && git commit
Cloning into 'linux'...
remote: Counting objects: 3765525, done.
remote: Compressing objects: 100% (25/25), done.
remote: Total 3765525 (delta 6), reused 0 (delta 0)
Receiving objects: 100% (3765525/3765525), 840.68 MiB | 1.04 MiB/s, done.
Resolving deltas: 100% (3090600/3090600), done.
Checking connectivity... done.
Checking out files: 100% (47503/47503), done.
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 270.
Hunk #2 FAILED at 289.
2 out of 2 hunks FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 1562.
1 out of 1 hunk FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 1068.
1 out of 1 hunk FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej

me@Linux-Notebook:~$ cp /boot/config-`uname -r` .config && yes '' | make oldconfig && make clean && make -j `getconf _NPROCESSORS_ONLN` deb-pkg LOCALVERSION=-custom && cd .. && sudo dpkg -i *.deb && git fetch origin;git fetch origin master;git reset --hard FETCH_HEAD
make: *** No rule to make target `oldconfig'. Stop.
fatal: Not a git repository (or any parent up to mount point /home)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
fatal: Not a git repository (or any parent up to mount point /home)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).

Ubuntuser (ubuntuser1404) wrote :

Could you please help me with this error? I don't know what to do

me@Linux-Notebook:~$ sudo patch ~/linux/drivers/acpi/video.c ~/Desktop/testfix.patch && cd linux && git add . && git commit
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 270.
Hunk #2 FAILED at 289.
2 out of 2 hunks FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej
patching file /home/simone/linux/drivers/acpi/video.c
Hunk #1 FAILED at 1562.
1 out of 1 hunk FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej
patching file /home/simone/linux/drivers/acpi/video.c
Hunk #1 FAILED at 1068.
1 out of 1 hunk FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej

Ubuntuser (ubuntuser1404) wrote :

Could you please help me with this error? I don't know what to do

me@Linux-Notebook:~$ sudo patch ~/linux/drivers/acpi/video.c ~/Desktop/testfix.patch && cd linux && git add . && git commit
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 270.
Hunk #2 FAILED at 289.
2 out of 2 hunks FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 1562.
1 out of 1 hunk FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej
patching file /home/me/linux/drivers/acpi/video.c
Hunk #1 FAILED at 1068.
1 out of 1 hunk FAILED -- saving rejects to file /home/me/linux/drivers/acpi/video.c.rej

Please stop replying to me. I'm only watching this bug, I'm neither the
originator nor a developer on the project.

On Mon, Oct 6, 2014 at 9:30 PM, Ubuntuser <email address hidden>
wrote:

> Could you please help me with this error? I don't know what to do
>
> me@Linux-Notebook:~$ sudo patch ~/linux/drivers/acpi/video.c
> ~/Desktop/testfix.patch && cd linux && git add . && git commit
> patching file /home/me/linux/drivers/acpi/video.c
> Hunk #1 FAILED at 270.
> Hunk #2 FAILED at 289.
> 2 out of 2 hunks FAILED -- saving rejects to file
> /home/me/linux/drivers/acpi/video.c.rej
> patching file /home/simone/linux/drivers/acpi/video.c
> Hunk #1 FAILED at 1562.
> 1 out of 1 hunk FAILED -- saving rejects to file
> /home/me/linux/drivers/acpi/video.c.rej
> patching file /home/simone/linux/drivers/acpi/video.c
> Hunk #1 FAILED at 1068.
> 1 out of 1 hunk FAILED -- saving rejects to file
> /home/me/linux/drivers/acpi/video.c.rej
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1283938
>
> Title:
> [Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from
> sleep
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1283938/+subscriptions
>

tags: added: patch

Ubuntuser, you would want to contact the Ubuntu Kernel Team for testing support via IRC or mailing list -> https://wiki.ubuntu.com/KernelTeam#Communications .

As well, please do not mark attachments as patches, as it would not be accepted as a patch into Ubuntu as you previously created it.

darkmoonsinger, nobody is replying, nor contacting you directly, you subscribed yourself to this bug report. If you don't want to see e-mails related to it, then click Mute bug mail in the top right of report.

My apologies, brain glitch.
On Oct 7, 2014 4:30 AM, "Christopher M. Penalver" <
<email address hidden>> wrote:

> Ubuntuser, you would want to contact the Ubuntu Kernel Team for testing
> support via IRC or mailing list ->
> https://wiki.ubuntu.com/KernelTeam#Communications .
>
> As well, please do not mark attachments as patches, as it would not be
> accepted as a patch into Ubuntu as you previously created it.
>
> darkmoonsinger, nobody is replying, nor contacting you directly, you
> subscribed yourself to this bug report. If you don't want to see e-mails
> related to it, then click Mute bug mail in the top right of report.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1283938
>
> Title:
> [Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from
> sleep
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1283938/+subscriptions
>

Ubuntuser (ubuntuser1404) wrote :

I didn't receive answers from my last email to the kernel team.

Please Christopher, could you contact your colleagues and prepare a proper solution (patch to test) with them?
I give you my availability to test your final patch.

Wish you all good work!

KentB (spam1-z) wrote :

I have this bug with

Ubuntu 14.04.1

On a new HP 15-g040ca Notebook PC:
AMD Quad-Core E-Series processor
AMD Quad-Core E2-6110 APU with Radeon R2 Graphics (1.5 GHz, 2 MB cache)

I am dismayed.

KentB, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Ubuntuser, it would appear your e-mail to the mailing list never made it as per https://lists.ubuntu.com/archives/kernel-team/2014-October/date.html . Could you please re-send?

Darek (darekx2) wrote :

Same here.

Ubuntu 14.04.1 64 Bit
After resume freezing on amd graphic card. When I am on intel suspend work fine.

Darek, thank you for your comment. Unfortunately, this bug report is not scoped to you, your hardware, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Thomas (dbxelf) wrote :

Same problem here. Using radeon HD 8500 on 14.04.

When using the standard ubuntu supplied drivers, It will just go into sleep/powersave modus when suspending or switching a user.

When using the AMD drivers (fglrx) , it goes to a black screen, with only the mouse pointer showing (and I have to power down).

Not a good bug if you have a system with multiple users.

Thomas, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Ivan Voras (ivoras) wrote :

And we're going into the new year with the problem is still not fixed.
The bug manifests for me on ThinkPad Edge 02213BG, Radeon graphics, freshly installed Xubuntu 14.04.

tags: added: needs-upstream-testing
removed: patch
description: updated
tags: added: resume suspend
bronlund (bronlund) wrote :

This is just so annoying!

Darek (darekx2) wrote :

Yes it's annoying ! The problem is old and for now still exist.

m33x (maximilian-golla) wrote :

This affects a user several times a day. If I come back from lunch, I have to reboot my notebook. This is really annoying. Please consider to fix this.

SupportGuy (3-admin-labs) wrote :

I started seeing random freeze while resuming from sleep/hibernate on my 5 year old system after I switched to ATI open source drivers, since the Catalyst drivers are no longer supported for my hardware on trusty and precise. The open source driver claims to better or same as the Catalyst, but looks like this is not the case.

Mar 1 02:45:29 xxxx kernel: [37059.698724] [drm:uvd_v1_0_ib_test] *ERROR* radeon: fence wait failed (-35).
Mar 1 02:45:29 xxxx kernel: [37059.698727] [drm:radeon_ib_ring_tests] *ERROR* radeon: failed testing IB on ring 5 (-35).

    description: VGA compatible controller
     product: RV730 XT [Radeon HD 4670]
     vendor: Advanced Micro Devices, Inc. [AMD/ATI]
     physical id: 0
      bus info: pci@0000:01:00.0
      version: 00
      width: 64 bits
      clock: 33MHz
      capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
      configuration: driver=radeon latency=0
      resources: irq:43 memory:d0000000-dfffffff memory:fdfe0000-fdfeffff ioport:ee00(size=256) memory:fdf00000-fdf1ffff

SupportGuy, it would help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Atul (atulkakrana) wrote :

This bug will never be fixed. Ubuntu team is more focused on mobile environment than desktop now. Too bad.

Atul

Peter Ludwig (peter-ludwig) wrote :

Could it be that the problem is related to the size of the swap file? The swap file needs to have same size as physical ram?

Caleb (caleb89) wrote :

@peter-ludwig I reckon you're right. My Ubuntu machine used to be able to sleep fine, but I have 16GB of RAM so I lowered my swap file to be 2GB - it can no longer sleep! Makes me sad. But makes sense.

Caleb (caleb89) wrote :

Update: Just completely removed my swap partition and Ubuntu tries to "Suspend" but ends up just locking the screen

Kenneth Bogert (kbogert-uga) wrote :

This just happened to me and got some messages in dmesg, filed bug 1442311

atimonin (atimonin) wrote :

After some time I've noticed that the bug is fixed (at least for my samsung NP535)
Sleep-Wakup works as expected.
Looks like some of updates fixed this bug.

Kenneth Bogert (kbogert-uga) wrote :

For me the fix was to add:

export CLUTTER_VBLANK=none

to /etc/environment

Samarth Mathur (samarth-math) wrote :

Please fix this guys,

It's killed a work system for many.

foxyterkel (terkel-d) wrote :

Had the same bug on Ubuntu 14.04, and now got it again on Linux mint 17.02 cinnamon. Also noticed that after forced reboot black screen, i'm unable to change brightness by hotkeys. Fujitsu AH544, intel/nvidia.

Konstantin (humansfriend) wrote :

Same bug in ubuntu 14.04

ggallozz (ggallozz-gmail) wrote :

hey there all, folks,
I do regret that 2 years after the release this bug is still alive and kicking ... 3:)
Me too have browsed around for a while, and now I can affirm that the proble affect many many users, on different PC an video cards and drivers.
So, Xubuntu staff, I itìs time to deeple stare at suspend involved procedures.
I can say that on my PC is installed Xubuntu 14.04.4 and on another partition Ubuntu Mint 14.04.3. On this last system, resume works ALWAYS fine ....

Ususal user's tech specs, here:

kernel name is: Linux
kernel-release is: 3.16.0-77-generic
kernel version is: #99~14.04.1-Ubuntu SMP Tue Jun 28 19:18:41 UTC 2016
machine hardware is: i686
processor type is: i686
h/w platform is: i686
operating system is: GNU/Linux
desktop env. is: xubuntu - XDG_CURRENT_DESKTOP=XFCE
*** OS specs ***
Distributor ID: trusty
Description: Ubuntu
Release: Ubuntu 14.04.4 LTS
Codename: 14.04
Video driver for ATI Radeon 5450

ggallozz, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

ggallozz (ggallozz-gmail) wrote :
Download full text (4.9 KiB)

Hi there,
thank you but I've not idea on what you are asking to me ..
"
*you filed a new report with the Ubuntu repository kernel (not
mainline/upstream) via a terminal: ubuntu-bug linux*"

If I have to go somewhere, plese attach a link and a step by step
what-to-do.

best regards

GG

On 6 July 2016 at 10:52, Christopher M. Penalver <
<email address hidden>> wrote:

> ggallozz, it will help immensely if you filed a new report with the Ubuntu
> repository kernel (not mainline/upstream) via a terminal:
> ubuntu-bug linux
>
> Please feel free to subscribe me to it.
>
> For more on why this is helpful, please see
> https://wiki.ubuntu.com/ReportingBugs.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1283938
>
> Title:
> [Samsung NP535U4X-S01TH] Ubuntu 14.04 blank screen after wakeup from
> sleep
>
> Status in Linux:
> Unknown
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> HOW TO REPRODUCE
>
> 1. Suspend the device
> 2. Wake it up
>
> EXPECTED BEHAVIOUR
>
> - The device to resume normally
>
> REAL BEHAVIOUR
>
> - The screen goes blank
>
> RELEVANT DETAILS
>
> - In the "/etc/default/grub" file; changing "quiet splash" option to
> "nomodeset" allows the wakeup, but the computer gets so slow it is
> unusable.
>
> WORKAROUND: Install fglrx.
>
> Unverified WORKAROUND: Revert commit
> 6c7bccea390853bdec5b76fe31fc50f3b36f75d5 as per
> https://bugzilla.kernel.org/show_bug.cgi?id=76761#c3 .
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: xserver-xorg-video-ati 1:7.3.0-1ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-11.31-generic 3.13.3
> Uname: Linux 3.13.0-11-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
> CompositorUnredirectFSW: true
> CurrentDesktop: Unity
> Date: Mon Feb 24 12:58:07 2014
> DistUpgraded: Fresh install
> DistroCodename: trusty
> DistroVariant: ubuntu
> DkmsStatus: virtualbox, 4.3.6, 3.13.0-11-generic, x86_64: installed
> GraphicsCard:
> Advanced Micro Devices, Inc. [AMD/ATI] Trinity [Radeon HD 7500G]
> [1002:990a] (prog-if 00 [VGA controller])
> Subsystem: Samsung Electronics Co Ltd Device [144d:c660]
> Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD
> 7550M/7570M/7650M] [1002:6841] (rev ff) (prog-if ff)
> InstallationDate: Installed on 2014-02-22 (1 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140218)
> MachineType: SAMSUNG ELECTRONICS CO., LTD. 535U4C
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-11-generic
> root=UUID=9f8c7e92-a6ea-41fd-9489-a256c8b9f5d5 ro quiet splash vt.handoff=7
> SourcePackage: xserver-xorg-video-ati
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 04/03/2013
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: P06RAF.N93.130403.LEO
> dmi.board.asse...

Read more...

Kenneth Bogert (kbogert-uga) wrote :

Just to update my earlier comment #203, I still had this bug occur occasionally even afterwards, though at a reduced rate. After doing some more testing recently, I've been able to avoid this problem completely by turning off the System-monitor extension in Gnome tweak tool. I was then able to revert my change in #203 with no issues.

Kenneth Bogert, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

no longer affects: linux (Ubuntu)
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Unknown → Undecided
status: Unknown → New
importance: Undecided → Low
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.